Subject: Re: bug#44155: Print integers as characters

From: Juri Linkov <[email-masked]>
Date: Tue, 03 Nov 2020 10:30:37 +0200

>> Hopefully, printing some characters as numbers will fix
>> the currently broken test.
>
> It does! Here is a proposed patch. We could add a separate radix control later if you like.

Thanks, I like your patch, hope that Eli will like it too.

> One detail that I'm undecided about is whether to remove the more obscure
> control escapes \f, \a, \v, \e and \d, on the grounds that they are less
> likely to be used as actual characters and that users may prefer to see
> them as numbers instead. C, and most languages inheriting them from C, lack
> \e or \d; \f and \a are rare today, and \v is an anachronism.

I don't think that \f is rare, it's used as a page separator
in many Emacs Lisp files.  But it would be surprising to me to see
127 printed as ?\d, maybe because C lacks it.